Bug 184409 - libgdiplus not giving the correct onscreen results
libgdiplus not giving the correct onscreen results
Product: Fedora
Classification: Fedora
Component: libgdiplus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-03-08 11:29 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-09 04:36:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A simple clock which demonstrates the problem (5.05 KB, text/plain)
2006-03-08 11:29 EST, Paul F. Johnson
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Ximian Software (Novell) 77734 None None None Never

  None (edit)
Description Paul F. Johnson 2006-03-08 11:29:17 EST
Description of problem:
If you compile the test code attached, and run you will see that instead of
the clock being displayed once, it is being redrawn a number of times. When
tested on a Win32 box (MS .NET framework), it operates correctly

Version-Release number of selected component (if applicable):

Steps to reproduce the problem:
1. Compile attached source code and run on a Mono framework
2. Compare with MS .NET framework

Actual Results:
The clock is redrawn a number of times and fails to work unless the window
is resized and then it only works for a couple of seconds

Expected Results:
A single clock should be seen

How often does this happen? 

Additional Information:
Tested on a MS .NET framework machine (WinXP). Worked fine. Reported upstream BZ
Comment 1 Paul F. Johnson 2006-03-08 11:29:17 EST
Created attachment 125815 [details]
A simple clock which demonstrates the problem
Comment 2 Alexander Larsson 2006-03-09 04:36:51 EST
Please file actual mono bugs that are not packaging issues (or mega-blockers)

We do no development on mono and will not be able and wont have time to fix
issues such as these. Having a bug in the redhat bugtracker will not help you
get the bug fixed.

Note You need to log in before you can comment on or make changes to this bug.